require 'mkmf'
require 'rbconfig'
include Config

if have_library('z', 'deflateReset') and
   have_header('zlib.h') then

  print 'guessing OS_CODE ... '

  # I don't know whether or not this code works correctly on your platform...
  case CONFIG['host_os']
  when 'os2_emx'
    print "OS/2\n"
    $CFLAGS += ' -DOS_CODE=OS_OS2'
  when 'amigaos'
    print "Amiga\n"
    $CFLAGS += ' -DOS_CODE=OS_AMIGA'
  when 'interix', 'cygwin'
    print "Win32\n"
    $CFLAGS += ' -DOS_CODE=OS_WIN32'
  else
    print "Unix\n"
  end

  create_makefile('zlib')
end
